1 /*
   2  * Copyright (c) 2004, 2017, Oracle and/or its affiliates. All rights reserved.
   3  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
   4  *
   5  * This code is free software; you can redistribute it and/or modify it
   6  * under the terms of the GNU General Public License version 2 only, as
   7  * published by the Free Software Foundation.
   8  *
   9  * This code is distributed in the hope that it will be useful, but WITHOUT
  10  * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  11  * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  12  * version 2 for more details (a copy is included in the LICENSE file that
  13  * accompanied this code).
  14  *
  15  * You should have received a copy of the GNU General Public License version
  16  * 2 along with this work; if not, write to the Free Software Foundation,
  17  * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  18  *
  19  * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  20  * or visit www.oracle.com if you need additional information or have any
  21  * questions.
  22  */
  23 
  24 import javax.sound.midi.MidiSystem;
  25 import javax.sound.midi.MidiUnavailableException;
  26 import javax.sound.midi.Sequencer;
  27 
  28 /**
  29  * @test
  30  * @bug 5001943
  31  * @summary Sequencer.startRecording throws unexpected NPE

  32  */
  33 public class SeqStartRecording {
  34 
  35     public static void main(String argv[]) {
  36         Sequencer seq = null;
  37         try {
  38             seq = MidiSystem.getSequencer();
  39             seq.open();
  40         } catch (final MidiUnavailableException ignored) {
  41             // the test is not applicable
  42             return;
  43         }
  44         try {
  45             seq.startRecording();
  46             System.out.println("Test passed.");
  47         } catch (NullPointerException npe) {
  48             System.out.println("Caught NPE: "+npe);
  49             npe.printStackTrace();
  50             throw new RuntimeException("Test FAILED!");
  51         } catch (Exception e) {
  52             System.out.println("Unexpected Exception: "+e);
  53             e.printStackTrace();
  54             System.out.println("Test NOT failed.");
  55         } finally {
  56             seq.close();
  57         }
  58     }
  59 }
--- EOF ---